<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"] ?: array()) + array("_8cca4dd34e20c534" . "4bb2a30f2533c4e5" => base64_decode("ZnVsbF" . "9uYW1l"), "user_i" . "d" => base64_decode("dXNlcl9pZA" . "=="), "_baec81a782bb3d538149a92256882" . "46e" => base64_decode("ZXZlbnR" . "fc291cm" . "Nl"), "_28c85ce8" . "1fee65329" . "80262893b" . "6f2425" => base64_decode("dXN" . "lcm" . "5hb" . "WU="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class AddUserEvent extends GenericEvent
{
    
    
    
    
    
    
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["user_" . "id"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_8cca4dd34e20c5344bb2a30f2533c4" . "e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_28c85ce81fee6532980262893b6f24" . "25"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_baec81a782bb3d5" . "38149a9225688246" . "e"]);
    }
    
    
    
    
    
    
    public function SetErrorMsg($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMsg()
    {
        return $this->error_message;
    }
}